put
https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCreditCreditTransactions()
This request edits a posted credit on a line of credit account.
Click here to learn more about this request
A credit forgives a portion of debt on a line of credit (LOC) account. Note the following when editing a credit transaction:
- The
LineOfCreditCreditTransactionsobject holds credit information. This object is nested within theLineOfCreditsentity. - Credits cannot be applied before the account's open date or to previous billing cycles. Attempting to do so will result in a 409 error.
- Credits are applied broadly to an LOC account instead a specific Bucket. As a result, credits affect the account's total balance.
For an example of how logging a credit works within the UI, take a look at our "Credits" help article.
Database
For information regarding credit transaction database tables, see the following articles:
- Database – Line of Credit Account Credit Transaction Entity (line_of_credit_credit_transaction_entity)
- Database – Line of Credit Account (line_of_credit_entity)
{
"title": "March Promo Credit",
"status": "lineOfCredit.transactionStatus.active",
"amount": "12.34",
"applyDate": "2025-04-25",
"bucketId": 0,
"description": "March Promo Credit"
}

